# ``twisted`.`spread`.`pb`.`RemoteError``

class documentation

`class RemoteError(Exception): (source)`

View In Hierarchy

This class is used to wrap a string-ified exception from the remote side to be able to reraise it. (Raising string exceptions is no longer possible in Python 2.6+)

The value of this exception will be a str() representation of the remote value.

Note
It's not possible to include the remoteTraceback if this exception is thrown into a generator. It must be accessed as an attribute.

Method | `__init__` | Undocumented
Instance Variable | `remoteTraceback` | The remote traceback.
Instance Variable | `remoteType` | The full import path of the exception class which was raised on the remote end.

def __init__(self, remoteType, value, remoteTraceback): (source)

Undocumented

remoteTraceback: `str` = (source)
The remote traceback.
remoteType: `str` = (source)
The full import path of the exception class which was raised on the remote end.